PayZuDocs

Creates a new credit card charge.

POSThttps://api.payzu.io/v1/charges
POST
/charges

Body Params

Responses

curl -X POST "https://api.payzu.io/v1/charges" \  -H "Authorization: Bearer {{token}}" \  -H "Content-Type: application/json" \  -d '{    "amount": 10000,    "paymentType": "creditcard",    "externalId": "pedido-1234",    "postbackUrl": "https://seusite.com.br/webhooks/payzu",    "customer": {      "name": "Maria Souza",      "identity": "11144477735",      "identityType": "CPF",      "email": "maria.souza@example.com",      "phone": "11999998888"    },    "cart": [      {        "name": "Plano Pro",        "quantity": 1,        "sku": "PRO",        "unitPrice": 10000      }    ],    "creditCardPayment": {      "installments": 1,      "authenticate": false,      "card": {        "number": "4111111111111111",        "holder": "MARIA SOUZA",        "expiration": "12/2030",        "cvv": "123"      }    }  }'
200
{
"id": "e3b7a1f2-8c4d-4a09-9f1e-2b6c8d5a7e90",
"externalId": "pedido-1234",
"postbackUrl": "https://seusite.com.br/webhooks/payzu",
"amount": 10000,
"paymentType": "creditcard",
"createdAt": "2026-06-12T14:35:22.000Z",
"updatedAt": "2026-06-12T14:35:24.000Z",
}